
source("modules/Loading/Loading.R")
source("modules/Units/Units.R")
source("tools/s2dv_cube2Climate4R.R")
source("sunset_prov_dataset.R")
source("combination_graph.R")
source("metaclipR.Interpolation_SUNSET.R")
library(yaml)
library(metaclipR)
library(igraph)

#SUNSET loading module execution
recipe_file <- "recipes/atomic_recipes/recipe_seasonal_provenance.yml"
recipe <- prepare_outputs(recipe_file)
data <- Loading(recipe)
data <- Units(recipe, data)

#Dataset and DatasetSubset provenance generation + Interpolation operations!!!
graph<-sunset_prov_dataset(recipe)

#data <- Calibration(recipe, data)

#data <- Anomalies(recipe, data)

#Conversion to JSON file to run the interpreter!
graph2json(graph$graph, "/esarchive/scratch/apuiggro/sunset/graph333.json")

